<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>CloudAtlas Web Service</title>
    <link rel='shortcut icon' type='image/x-icon' href='/favicon.ico'/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.bundle.min.js"
            integrity="sha256-N4u5BjTLNwmGul6RgLoESPNqDFVUibVuOYhP4gJgrew=" crossorigin="anonymous"></script>
    <script src="content_manager.js"></script>
    <script src="notify.js"></script>
    <script src="misc.js"></script>
    <script src="queries.js"></script>
    <script src="contacts.js"></script>

    <link rel="stylesheet" type="text/css" href="style.css"/>
    <link rel="stylesheet" type="text/css" href="notify.css"/>
    <link rel="stylesheet" type="text/css" href="contacts.css"/>
</head>
<body onload="initialize()">
<header>CloudAtlas Web Service!</header>
<nav>
    <div id="agent-info">
        <div id="agent-info-text">You are logged to:</div>
        <div id="agent-info-path">saf</div>
    </div>
    <div class="query-install-form">
        <form method="post">
            <input id="query-name" name="query-name" type="text" placeholder="Name">
            <input id="query-content" type="text" placeholder="Place your query here...">
            <input id="query-install" type="button" value="Install" onclick="installQuery()">
        </form>
    </div>
</nav>

<section>
    <aside>
        <div>
        <h2>Zones:</h2>
        <ul id="zones-list"></ul>
        </div>
        <div class="contacts-form">
            <form method="post">
                <table id="contacts-table">
                    <tr><th colspan="2">Contacts table:</th></tr>
                    <tr id="contacts-add-slot-line">
                        <td colspan="2">
                            <input id="contacts-add-slot" type="button" value="+" onclick="addContactField()">
                        </td>
                    </tr>
                    <tr id="contacts-set-contacts-line">
                        <td colspan="2">
                            <input id="contacts-set" type="button" value="Set fallback contacts!"
                                   onclick="setContacts()">
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </aside>

    <div id="section-wrap">
        <div id='zone-attributes'>
            <div id="queries-div"></div>
            <div id="attributes-div"></div>
        </div>
        <div id='attribute-monitor'></div>
    </div>
</section>

<!-- Status notificator -->
<div id="notify-bar"></div>

<footer>Jacek Lysiak : Distributed System Fall 2017 @ MIMUW</footer>
</body>
</html>